<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>accuplacermain</groupId>
    <artifactId>accuplacermain</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <build>
        <plugins>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>1.7</source>
                    <target>1.7</target>
                </configuration>
            </plugin>
            <!-- uncomment before running <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-surefire-plugin</artifactId> <version>2.18</version> <configuration> <suiteXmlFiles> <suiteXmlFile>${xml}</suiteXmlFile> </suiteXmlFiles> </configuration> </plugin> <plugin> <groupId>org.codehaus.mojo</groupId> <artifactId>xml-maven-plugin</artifactId> <version>1.0-beta-3</version> <executions> 
                <execution> <phase>test</phase> <goals> <goal>transform</goal> </goals> </execution> </executions> <configuration> <transformationSets> <transformationSet> <dir>target/surefire-reports</dir> <includes> <include>testng-results.xml</include> </includes> <stylesheet>src/test/resources/testng-results.xsl</stylesheet> <fileMappers> <fileMapper implementation="org.codehaus.plexus.components.io.filemappers.FileExtensionMapper"> 
                <targetExtension>.html</targetExtension> </fileMapper> </fileMappers> <outputProperties> <outputProperty> <name>omit-xml-declaration</name> <value>yes</value> </outputProperty> </outputProperties> </transformationSet> </transformationSets> </configuration> <dependencies> <dependency> <groupId>net.sf.saxon</groupId> <artifactId>saxon</artifactId> <version>9</version> </dependency> </dependencies> </plugin> -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-release-plugin</artifactId>
                <version>2.4.1</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.16</version>
                <configuration>
                    <excludes>
                        <exclude>**/accuplacer/test/**/*.java</exclude>
                    </excludes>
                </configuration>
            </plugin>
           
        </plugins>
    </build>
    <dependencies>
	    <dependency>
			   <groupId>javax.mail</groupId>
			   <artifactId>mail</artifactId>
			   <version>1.4.5</version>
			   <type>jar</type>
			   <scope>compile</scope>
	  </dependency>
	  <dependency>
		   <groupId>javax.activation</groupId>
		   <artifactId>activation</artifactId>
		   <version>1.1.1</version>
	  </dependency>
	  <dependency>
		   <groupId>com.pearson.itautomation</groupId>
		   <artifactId>BrowserCoreAutomation</artifactId>
		   <version>0.0.11</version>
	  </dependency>
       <dependency>
            <groupId>com.pearson.itautomation</groupId>
            <artifactId>BrowserCoreAutomation</artifactId>
            <version>0.0.12</version>
       </dependency>
       <dependency>
            <groupId>com.googlecode.json-simple</groupId>
            <artifactId>json-simple</artifactId>
            <version>1.1</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>3.9</version>
        </dependency>
        <!-- <dependency> <groupId>com.saxonliaison.code</groupId> <artifactId>saxonliaison</artifactId> <version>1.0</version> </dependency> -->
        <dependency>
            <groupId>com.pearson.itautomation</groupId>
            <artifactId>TestNGUtils</artifactId>
            <version>0.0.8</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.testng</groupId>
            <artifactId>testng</artifactId>
            <version>6.8.8</version>
        </dependency>
        <dependency>
            <groupId>org.seleniumhq.selenium</groupId>
            <artifactId>selenium-chrome-driver</artifactId>
            <version>2.43.0</version>
        </dependency>
        <dependency>
            <groupId>org.seleniumhq.selenium</groupId>
            <artifactId>selenium-htmlunit-driver</artifactId>
            <version>2.43.0</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.seleniumhq.selenium</groupId>
            <artifactId>selenium-firefox-driver</artifactId>
            <version>2.43.0</version>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>5.1.10</version>
        </dependency>
        <dependency>
            <groupId>xml-apis</groupId>
            <artifactId>xml-apis</artifactId>
            <version>1.4.01</version>
        </dependency>
        <dependency>
            <groupId>net.sf.saxon</groupId>
            <artifactId>saxon</artifactId>
            <version>8.7</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.3.2</version>
        </dependency>
        <dependency>
            <groupId>com.oracle</groupId>
            <artifactId>ojdbc14</artifactId>
            <version>14</version>
        </dependency>
    </dependencies>
    <distributionManagement>
        <repository>
            <id>repo1.ic.ncs.com</id>
            <name>Pearson Repository</name>
            <url>http://repo1.ic.ncs.com/nexus/content/repositories/pearson-repo </url>
        </repository>
        <snapshotRepository>
            <id>PearsonSnapshot</id>
            <name>PearsonSnapshot</name>
            <url>http://repo1.ic.ncs.com/nexus/content/repositories/PearsonSnapshot </url>
        </snapshotRepository>
    </distributionManagement>
    <scm>
        <connection>scm:git:ssh://git@devops-tools.pearson.com/cat/catauto.git</connection>
        <developerConnection>scm:git:ssh://git@devops-tools.pearson.com/cat/catauto.git</developerConnection>
        <url>https://devops-tools.pearson.com/stash/projects/CAT/repos/catauto/browse </url>
    </scm>
    <ciManagement>
        <system>Jenkins</system>
        <url>http://releng.ic.ncs.com/jenkins/</url>
    </ciManagement>
    <issueManagement>
        <system>JIRA</system>
        <url>http://jira.pearsoncmg.com/jira/browse/</url>
    </issueManagement>
    <repositories>
        <repository>
            <id>repo1.ic.ncs.com</id>
            <name>Pearson repo1</name>
            <url>http://repo1.ic.ncs.com/nexus/content/groups/public </url>
        </repository>
    </repositories>
    <profiles>
        <profile>
            <id>intgcatrun</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-surefire-plugin</artifactId>
                        <version>2.16</version>
                        <configuration>
                            <testFailureIgnore>true</testFailureIgnore>
                            <suiteXmlFiles>
                                <suiteXmlFile>TU_INTG-CAT_Suite.xml</suiteXmlFile>
                            </suiteXmlFiles>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
        <profile>
            <id>pperun</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-surefire-plugin</artifactId>
                        <version>2.16</version>
                        <configuration>
                            <testFailureIgnore>true</testFailureIgnore>
                            <suiteXmlFiles>
                                <suiteXmlFile>TU_PPE_Suite.xml</suiteXmlFile>
                            </suiteXmlFiles>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
        <profile>
            <id>var</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-surefire-plugin</artifactId>
                        <version>2.16</version>
                        <configuration>
                            <testFailureIgnore>true</testFailureIgnore>
                            <suiteXmlFiles>
                                <suiteXmlFile>src/test/resources/TestSuite/${testXml}</suiteXmlFile>
                            </suiteXmlFiles>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
        <profile>
            <id>paramProfile</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.apache.maven.plugins</groupId>
                        <artifactId>maven-surefire-plugin</artifactId>
                        <version>2.16</version>
                        <configuration>
                            <groups>${groupName}</groups>
                            <testFailureIgnore>true</testFailureIgnore>
                            <suiteXmlFiles>
                                <suiteXmlFile>src/test/resources/TestSuite/${testXmlParam}</suiteXmlFile>
                            </suiteXmlFiles>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
    
    <profile>
            <id>transformXSL</id>
            <build>
            	 <plugins>
				 <plugin>
					    <groupId>org.codehaus.mojo</groupId>
					    <artifactId>xml-maven-plugin</artifactId>
					    <version>1.0-beta-3</version>
					    <executions>
					     <execution>
					      <phase>test</phase>
					      <goals>
					       <goal>transform</goal>
					      </goals>
					     </execution>
					    </executions>
					    <configuration>
					     <transformationSets>
					      <transformationSet>
					       <dir>target/surefire-reports</dir>
					       <includes>
					        <include>testng-results.xml</include>
					       </includes>
					       <stylesheet>src/test/resources/DefaultView.xsl</stylesheet>
					       <fileMappers>
					        <fileMapper
					         implementation="org.codehaus.plexus.components.io.filemappers.FileExtensionMapper">
					         <targetExtension>.html</targetExtension>
					        </fileMapper>
					       </fileMappers>
					       <outputProperties>
					        <outputProperty>
					         <name>omit-xml-declaration</name>
					         <value>yes</value>
					        </outputProperty>
					       </outputProperties>
					      </transformationSet>
					     </transformationSets>
					    </configuration>
					    <dependencies>
					     <dependency>
					      <groupId>net.sf.saxon</groupId>
					      <artifactId>saxon</artifactId>
					      <version>9</version>
					     </dependency>
					    </dependencies>
  				 </plugin>
  			 </plugins>
  			</build>
        </profile>
        <profile>
            <id>JenkinsEmail</id>
            <build>
            	 <plugins>
				 <plugin>
			   		 <groupId>org.apache.maven.plugins</groupId>
			    <artifactId>maven-antrun-plugin</artifactId>
			    <version>1.7</version>
			    <executions>
			     <execution>
			      <phase>test</phase>
			      <goals>
			       <goal>run</goal>
			      </goals>
			      <configuration>
			       <target name="run" unless="skipTests">
			        <java classname="com.pearson.itautomation.accuplacer.test.JenkinsEmail">
			         <classpath refid="maven.test.classpath" />
			        </java>
			       </target>
			      </configuration>
			     </execution>
			    </executions>
  			 </plugin>
  			 </plugins>
  			</build>
        </profile>
    <profile>
            <id>EmailJob</id>
            <build>
            	 <plugins>
				 <plugin>
			   		 <groupId>org.apache.maven.plugins</groupId>
			    <artifactId>maven-antrun-plugin</artifactId>
			    <version>1.7</version>
			    <executions>
			     <execution>
			      <phase>test</phase>
			      <goals>
			       <goal>run</goal>
			      </goals>
			      <configuration>
			       <target name="run" unless="skipTests">
			        <java classname="com.pearson.itautomation.accuplacer.test.EmailUtilities">
			         <classpath refid="maven.test.classpath" />
			        </java>
			       </target>
			      </configuration>
			     </execution>
			    </executions>
  			 </plugin>
  			 </plugins>
  			</build>
        </profile>
    </profiles>
</project>